; AutoIt 3.0.103 example
; 17 Jan 2005 - CyberSlug
; demonstration version - Valuater
; This script shows manual positioning of all controls;
;   there are much better methods of positioning...
#include <GuiConstants.au3>

; Create the GUI.
GuiCreate("Sample GUI", 400, 400) 
GuiSetIcon(@SystemDir & "\mspaint.exe", 0) ; set the icon for the GUI from the microsoft paint program.


; Create a MENU Control. 
GuiCtrlCreateMenu("Menu&One") ; create a menu at the upper portion of the GUI.
GuiCtrlCreateMenu("Menu&Two") ; this type of menu may have a drop-down list.
GuiCtrlCreateMenu("MenuTh&ree")
GuiCtrlCreateMenu("Menu&Four")

; Create a CONTEXT MENU Control.
$contextMenu = GuiCtrlCreateContextMenu() ; this is a Right Click menu.
GuiCtrlCreateMenuItem("Context Menu", $contextMenu) ; create a sub-catagory.
GuiCtrlCreateMenuItem("", $contextMenu) ;separator for the sub-catagories.
GuiCtrlCreateMenuItem("&Properties", $contextMenu)

; Create a MESSAGE BOX.
MsgBox(262208,"*NOTE*","Be sure to *Right Click* the GUI to see the pop-up context Menu.    ", 10)

; Create a PICTURE control.
GuiCtrlCreatePic(@ScriptDir & "\logo4.gif",0,0, 169,68)
GuiCtrlCreateLabel("Sample pic", 75, 1, 53, 15) ; create a label.
GuiCtrlSetColor(-1,0xffffff) ; set the (-1) last controls color.


; Create an AVI Control.
GuiCtrlCreateAvi(@ScriptDir & "\sampleAVI.avi",0, 180, 10, 32, 32, $ACS_AUTOPLAY)
GuiCtrlCreateLabel("Sample avi", 170, 50)


; Create a TAB Control.
GuiCtrlCreateTab(240, 0, 150, 70)
GuiCtrlCreateTabItem("One")
GuiCtrlCreateLabel("Sample Tab with tabItems", 250, 40) ; create a label on the "One" TAB.
GuiCtrlCreateTabItem("Two")
GuiCtrlCreateTabItem("Three")
GuiCtrlCreateTabItem("") ; end tab creation.

; Create a COMBO or COMBOBOX Control.
GuiCtrlCreatecombo("Sample Combo", 250, 80, 120, 100) ; set the default as "Sample Combo".

; Create a PROGRESS Control.
GuiCtrlCreateProgress(60, 80, 150, 20)
GuiCtrlSetData(-1, 60) ; set the last control (-1) at 60%.
GuiCtrlCreateLabel("Progress:", 5, 82) ; create a label.

; Create an EDIT Control.
GuiCtrlCreateEdit(@CRLF & "  Sample Edit Control", 10, 110, 150, 70) ; CRLF means, Carrage Return & Line Feed.

; Create a LIST Control.
GuiCtrlCreateList("", 5, 190, 100, 90)
GuiCtrlSetData(-1, "a.Sample|b.List|c.Control|d.Here", "b.List") ; set the data in the list with "b.List" as the default.

; Create an ICON Control.
GuiCtrlCreateIcon("shell32.dll", 1, 175, 120) ; selects the number 1 Icon in the shell 32 DLL.
GuiCtrlCreateLabel("Icon", 180, 160, 50, 20)

; Create a LIST VIEW Control.
$listView = GuiCtrlCreateListView("Sample|ListView|", 110, 190, 110, 80)
GuiCtrlCreateListViewItem("A|One", $listView) ; sets the list view items.
GuiCtrlCreateListViewItem("B|Two", $listView)
GuiCtrlCreateListViewItem("C|Three", $listView)

; Create a GROUP Control with RADIO BUTTON Controls.
GuiCtrlCreateGroup("Sample Group", 230, 120) ; creates the Group.
GuiCtrlCreateRadio("Radio One", 250, 140, 80) ; creates a radio.
GuiCtrlSetState(-1, $GUI_CHECKED) ; sets the radio as "checked" by default.
GuiCtrlCreateRadio("Radio Two", 250, 165, 80)
GUICtrlCreateGroup ("",-99,-99,1,1)  ;close the Group Control.

; Create an UP-DOWN Control.
GuiCtrlCreateLabel("UpDown", 350, 115)
GuiCtrlCreateInput("42", 350, 130, 40, 20) ; creates the input.
GuiCtrlCreateUpDown(-1) ; sets the input as an up-down control.

; Create a LABEL Control.
GuiCtrlCreateLabel("Green" & @CRLF & "Label", 350, 165, 40, 40)
GuiCtrlSetBkColor(-1, 0x00FF00) ; sets the controls back-ground color.

; Create a SLIDER Control.
GuiCtrlCreateLabel("Slider:", 235, 215)
GuiCtrlCreateSlider(270, 210, 120, 30)
GuiCtrlSetData(-1, 30) ; sets the position of the slider.

; Create an INPUT Control.
GuiCtrlCreateInput("Sample Input Box", 235, 255, 130, 20)

; Create a DATE Control.
GuiCtrlCreateDate("", 5, 280, 200, 20)
GuiCtrlCreateLabel("(Date control expands into a calendar)", 10, 305, 200, 20) ; click to expand to a Calendar.

; Creates a BUTTON Control.
GuiCtrlCreateButton("Sample Button", 10, 330, 100, 30)

; Creates a CHECK-BOX Control.
GuiCtrlCreateCheckbox("Checkbox", 130, 335, 80, 20)
GuiCtrlSetState(-1, $GUI_CHECKED) ; set as "checked" by default.

; Creates a TREE-VIEW Control (ONE).
$treeOne = GuiCtrlCreateTreeView(210, 290, 80, 80)
$treeItem = GuiCtrlCreateTreeViewItem("TreeView", $treeOne) ; sets a sub-catagory for the tree-view.
GuiCtrlCreateTreeViewItem("Item1", $treeItem) ; sets a sub-catagory of the above catagory.
GuiCtrlCreateTreeViewItem("Item2", $treeItem)
GuiCtrlCreateTreeViewItem("Foo", -1)
GuiCtrlSetState($treeItem, $GUI_EXPAND) ; sets the tree-view as expanded by default.

; Create a TREE-VIEW Control (TWO).
$treeTwo = GuiCtrlCreateTreeView(295, 290, 103, 80, $TVS_CHECKBOXES) ; creates the tree view with check-boxes.
GuiCtrlCreateTreeViewItem("TreeView", $treeTwo)
GuiCtrlCreateTreeViewItem("With", $treeTwo)
GuiCtrlCreateTreeViewItem("tvs_checkboxes", $treeTwo)
GuiCtrlSetState(-1, $GUI_CHECKED)
GuiCtrlCreateTreeViewItem("Style", $treeTwo)


; set the GUI as visible.
GuiSetState()
While GuiGetMsg() <> $GUI_EVENT_CLOSE ; loop until the message recieved is equal to event close.
WEnd