

; This example demonstrates how to set a form element value for a Select, Option field and then fire the OnChange event 
; that triggers a Javascript. 
; Here's source from a webpage that demonstrates this:

#cs
<select name="Region" size="10" onChange="PopulateSecondPane(this.form, this.form.Region.options[this.form.Region.selectedIndex].value);" ID="Select1">
#ce

; The values in a second Select, Option field change based on the OnChange event getting fired by the first one. 
; Changing the value via script doesn't trigger the event, but fortunately this is pretty easy to do using the .fireEvent method. 
; This example sets the value of the Region field to North America (i.e. 11) and then fires the OnChange event for the field 
; which triggers the Javascript that updates the second field. This example also demonstrates a simple method of attaching
; to an existing browser already pointed to the desired site if it exists and creating a new one if not.

#include <IE.au3>

$sUrl = "http://creative.com/language.asp?sDestUrl=/support/downloads"

$oIE = _IEAttach($sUrl, "url")
If not isObj($oIE) Then
    $oIE = _IECreate()
    _IENavigate($oIE, $sUrl)
EndIf

$oForm = _IEFormGetObjByName($oIE, "Form1")
$oRegion = _IEFormElementGetObjByName($oForm, "Region")
_IEFormElementSetValue($oRegion, "11")
$oRegion.fireEvent("OnChange")